Summary:	A set of tools to gather troubleshooting information from a system
Name:		sos
Version:	3.3
Release:	%mkrel 2
Group:		System/Base
License:	GPLv2+
Url:		http://sosreport.github.io/sos/
Source0:	https://github.com/%{name}report/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		sos-mageia-branding-po.patch
Patch1:		sos-mageia-branding-support.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	python-sphinx
BuildRequires:	gettext
BuildRequires:  python-sphinx
Requires:	libxml2-python
Requires:	tar
Requires:	bzip2
Requires:	xz
Requires:	python-rpm
Requires:	python-six

%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%prep
%setup -q
%patch0 -p1 -b .brand
#patch1 -p1 -b .support

%build
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc README.md AUTHORS LICENSE
%doc %{_docdir}/%{name}/html/
%{_sbindir}/sosreport
%{_datadir}/%{name}
%{python2_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/sos.conf


%changelog
* Tue Jan 03 2017 bcornec <bcornec> 3.3-2.mga6
+ Revision: 1079877
- Adds a dep on python-sphinx to build  sos
- Update sos to upstream 3.3

* Tue Feb 09 2016 umeabot <umeabot> 3.2-3.mga6
+ Revision: 952573
- Mageia 6 Mass Rebuild

* Thu Mar 05 2015 luigiwalser <luigiwalser> 3.2-2.mga5
+ Revision: 817809
- requires python-six

* Mon Feb 23 2015 bcornec <bcornec> 3.2-1.mga5
+ Revision: 816629
- Update to upstream 3.2 and adapt Mageia branding to the new version

* Wed Oct 15 2014 umeabot <umeabot> 3.1-4.mga5
+ Revision: 748117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-3.mga5
+ Revision: 689250
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 bcornec <bcornec> 3.1-2.mga5
+ Revision: 672164
- sos is now more Mageia branded, based on a CentOS patch - Cf: https://bugs.mageia.org/show_bug.cgi?id=13441

* Sat Jul 05 2014 bcornec <bcornec> 3.1-1.mga5
+ Revision: 643395
- Updated to upstreal sos 3.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Feb 07 2014 dams <dams> 3.0-3.mga5
+ Revision: 585543
- bump release
- new version 3.0
- clean/update specfile

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.2-3.mga3
+ Revision: 382353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 doktor5000 <doktor5000> 2.2-2.mga2
+ Revision: 147742
- added Require on python-rpm (mga#1709)
- removed obsolete BuildRoot, %%clean and %%defattr
- cosmetics for better clarity
- use %%make macro

* Tue Mar 08 2011 ennael <ennael> 2.2-1.mga1
+ Revision: 66381
- imported package sos


* Thu Dec 02 2010 Funda Wang <fwang@mandriva.org> 2.2-1mdv2011.0
+ Revision: 604670
- import sos

